curl -X GET "https://api.finscreener.in/api/screener/screeners" \
-H "Authorization: Bearer YOUR_ACCESS_TOKEN"
{
"data": [
{
"id": "scr_123",
"name": "Mumbai IT Companies",
"type": "company",
"query": "City == 'Mumbai' AND NICCode IN [62011, 62012]",
"description": "IT companies in Mumbai",
"created_at": "2026-01-15T10:30:00Z"
},
{
"id": "scr_456",
"name": "Active GST Karnataka",
"type": "gst",
"query": "state == 'Karnataka' AND Status == 'Active'",
"description": null,
"created_at": "2026-01-10T14:20:00Z"
}
]
}
List saved screener queries
curl -X GET "https://api.finscreener.in/api/screener/screeners" \
-H "Authorization: Bearer YOUR_ACCESS_TOKEN"
{
"data": [
{
"id": "scr_123",
"name": "Mumbai IT Companies",
"type": "company",
"query": "City == 'Mumbai' AND NICCode IN [62011, 62012]",
"description": "IT companies in Mumbai",
"created_at": "2026-01-15T10:30:00Z"
},
{
"id": "scr_456",
"name": "Active GST Karnataka",
"type": "gst",
"query": "state == 'Karnataka' AND Status == 'Active'",
"description": null,
"created_at": "2026-01-10T14:20:00Z"
}
]
}
Bearer <access_token>curl -X GET "https://api.finscreener.in/api/screener/screeners" \
-H "Authorization: Bearer YOUR_ACCESS_TOKEN"
{
"data": [
{
"id": "scr_123",
"name": "Mumbai IT Companies",
"type": "company",
"query": "City == 'Mumbai' AND NICCode IN [62011, 62012]",
"description": "IT companies in Mumbai",
"created_at": "2026-01-15T10:30:00Z"
},
{
"id": "scr_456",
"name": "Active GST Karnataka",
"type": "gst",
"query": "state == 'Karnataka' AND Status == 'Active'",
"description": null,
"created_at": "2026-01-10T14:20:00Z"
}
]
}